#include "FontTokens.h"



std::string FontTokens::getFont(Theme::Ref::Typeface::Font font)
{
    switch (font)
    {
    case Theme::Ref::Typeface::Font::Brand:
        return "Segoe UI";
    case Theme::Ref::Typeface::Font::Plain:
        return "Segoe UI";
    default:
        return "Segoe UI";
    }
}

Theme::Ref::Typeface::Font FontTokens::getFont(Theme::Sys::Typescale typescale)
{
    switch (typescale)
    {
    case Theme::Sys::Typescale::Label_Large:
        return Theme::Ref::Typeface::Font::Brand;
    default:
        return Theme::Ref::Typeface::Font::Brand;
    }
}

unsigned FontTokens::getLineHeight(Theme::Sys::Typescale typescale)
{
    switch (typescale)
    {
    case Theme::Sys::Typescale::Label_Large:
        return 67;
    default:
        return 67;
    }
}

unsigned FontTokens::getSize(Theme::Sys::Typescale typescale)
{
    switch (typescale)
    {
    case Theme::Sys::Typescale::Label_Large:
        return static_cast<unsigned>(57/3.5);
    default:
        return 57;
    }
}

unsigned FontTokens::getTracking(Theme::Sys::Typescale)
{
    return 0;
}

unsigned FontTokens::getWeight(Theme::Ref::Typeface::Font)
{
    return 0;
}

Theme::Ref::Typeface::Font FontTokens::getWeight(Theme::Sys::Typescale)
{
    return Theme::Ref::Typeface::Font::Brand;
}
